EndpointsLobbies

Get ranked play

GET/v2/leagues/{league_id}/ranked

Returns the league's ladder as seen by the caller: their own league players with ratings, the division standings, and their ranked lobbies.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

league_id*League Id

League whose ladder will be returned.

Match^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
curl -X GET "https://softmax.com/api/observatory/v2/leagues/string/ranked"
{  "league_id": "string",  "division_id": "string",  "ranking": {},  "you": [    {      "player_id": "string",      "player_name": "string"    }  ],  "recent": [    {      "id": "string",      "status": "draft",      "created_at": "2019-08-24T14:15:22Z",      "ended_at": "2019-08-24T14:15:22Z",      "player_name": "string",      "position": 0,      "teammates": [        "string"      ],      "opponents": [        "string"      ],      "rating": {        "status": "pending",        "outcome": "win",        "round_id": "string",        "reason": "string",        "changes": [          {            "position": 0,            "player_id": "string",            "player_name": "string",            "human": true,            "score": 0,            "before": 0,            "after": 0          }        ]      }    }  ],  "open": [    {      "id": "string",      "status": "draft",      "created_at": "2019-08-24T14:15:22Z",      "ended_at": "2019-08-24T14:15:22Z",      "player_name": "string",      "position": 0,      "teammates": [        "string"      ],      "opponents": [        "string"      ],      "rating": {        "status": "pending",        "outcome": "win",        "round_id": "string",        "reason": "string",        "changes": [          {            "position": 0,            "player_id": "string",            "player_name": "string",            "human": true,            "score": 0,            "before": 0,            "after": 0          }        ]      }    }  ]}